<template>
  <div class="sellerRating">

    <template v-if="readOnly">
      <div
        class="vue-star-rating _readonly"
        :class="{ '_bigger': size === 12 }">
        <span
          v-for="(item, index) in 5"
          :key="`star+${index}`"
          class="vue-star-rating-star"
          :class="{ '-active': currentRating >= item }">
          <img
            svg-inline
            src="~/assets/svg/star-rating.svg">
        </span>
      </div>
    </template>

    <no-ssr v-else>
      <star-rating
        :rating="currentRating"
        :increment="1"
        :max-rating="5"
        :read-only="readOnly"
        :show-rating=false
        @rating-selected="setRating"
        inactive-color="#CECECE"
        active-color="#FFD068"
        :star-size="size"
        :padding="4"
        :rounded-corners="false"
        :star-points="[25,0, 17,17, 0,20, 13,32, 10,50, 25,42, 40,50, 37,32, 50,20, 33,17]"/>
    </no-ssr>

  </div>
</template>

<script>
import StarRating from 'vue-star-rating';

export default {
  name: 'AppRating',
  components: {
    StarRating,
  },
  props: {
    readOnly: {
      type: Boolean,
      default: true,
    },
    currentRating: {
      type: Number,
      default: 0,
    },
    size: {
      type: Number,
      default: 10,
    },
  },
  methods: {
    setRating(value) {
      this.$emit('rating-selected', value);
    },
  },
};
</script>

<style lang="scss">
  .sellerRating {
    display: flex;
    align-items: center;
    font-size: 0;
    height: 1rem;
    svg {
      width: 0.75rem;
      height: 0.75rem;

      polygon {
        stroke-width: 0;
        stroke: transparent;
      }
    }
    .vue-star-rating._readonly {
      display: flex;

      .vue-star-rating-star {
        margin-right: 0.25rem;

        &:last-of-type {
          margin-right: 0;
        }

        .svg {
          margin-bottom: 0.125rem;
          fill: var(--fill-light);
        }

        &.-active {
          .svg {
            fill: #FFD068;
          }
        }
      }
    }

    @media screen and (min-width: 981px) {
      .vue-star-rating._readonly._bigger {
        .svg {
          width: 0.875rem;
          height: 0.875rem;
        }
      }
    }
  }
</style>
